clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::WithContextValue Class Reference

WithContextValue extends Context::current() with a single value. More...

`#include <Context.h>`

## Public Member Functions
template<typename T >
| WithContextValue (const Key< T > &K, typename std::decay< T >::type V)
template<typename T >
| WithContextValue (T &&V)

## Detailed Description

WithContextValue extends Context::current() with a single value.

When the WithContextValue is destroyed, the original scope is restored.

Definition at line 204 of file Context.h.

## Constructor & Destructor Documentation

## ◆ WithContextValue() [1/2]

template<typename T >

clang::clangd::WithContextValue::WithContextValue | ( | const Key< T > & | K,
|  | typename std::decay< T >::type | V
| ) |  |
| inline

Definition at line 207 of file Context.h.

## ◆ WithContextValue() [2/2]

template<typename T >

clang::clangd::WithContextValue::WithContextValue | ( | T && | V | ) |
| inline

Definition at line 212 of file Context.h.

The documentation for this class was generated from the following file:

- Context.h